# AccessMode Class Reference
[Tools for working with transactions]

Transaction access modes. More...

Inheritance diagram for AccessMode:
[legend]

List of all members.

## Public Attributes

const | READ_ONLY = 0x01
const | READ_WRITE = 0x02

## Protected Attributes

| $names

## Detailed Description

Transaction access modes.

See also:
  http://www.postgresql.org/docs/current/interactive/sql-start-transaction.html

Definition at line 19 of file AccessMode.class.php.

## Member Data Documentation

AccessMode::$names`[protected]`

Initial value:

     array(
                self::READ_ONLY     => 'read only',
                self::READ_WRITE    => 'read write'
            )

Reimplemented from Enumeration.

Definition at line 24 of file AccessMode.class.php.

const AccessMode::READ_ONLY = 0x01

Definition at line 21 of file AccessMode.class.php.

const AccessMode::READ_WRITE = 0x02

Definition at line 22 of file AccessMode.class.php.

The documentation for this class was generated from the following file:

- core/DB/Transaction/AccessMode.class.php